package com.eactive.eai.transformer.message.generator;

import com.eactive.eai.transformer.layout.Layout;
import com.eactive.eai.transformer.message.Message;
import com.eactive.eai.transformer.message.XMLMessage;

public class XMLMessageGenerator implements MessageGenerator {
    public Message createMessage(Layout layout, boolean initialize,
        boolean useDefault) throws Exception {
        XMLMessage message = (XMLMessage) layout.getRootItem();
        message = (XMLMessage) message.clone();
        message.createObject();
        return message;
    }
}
